package ws

import (
	"context"

	"golang.org/x/net/websocket"
)

type (
	ResponseHandler func(messageType string, conn *websocket.Conn)
	HandlerFunc     func(ctx context.Context, msg Message) ResponseHandler
)
